               for (i = lastlevel; i >= level; i--)
               {
                  if (occuratlevel[i] > 0)
                  {
                     /* Get the occurs at variable */
                     tempvar = occuratlevel[i];

fprintf(lstfile,"handling occurs postfix slack bytes for variable %d\n",tempvar);
                     /* see if we need to add in any slack bytes */
                     /* These slack bytes are only needed for    */
                     /* group variables which have a variable    */
                     /* with a SYNC clause within them, and      */
                     /* which contain an OCCURS clause.          */

                     /* initialize the number of slack bytes required */
                     delta = 0;
                     /* check if slack bytes are required */
                     if ((fvar[tempvar].VarMaxSync > 1) && (fvar[tempvar].VarOccur > 1))
                     {
                        /* calculate if slack bytes are needed */
                        /*delta = (fvar[tempvar].VarOffset + fvar[tempvar].VarLen) % fvar[tempvar].VarMaxSync;*/
                        delta = (fvar[tempvar].VarLen) % fvar[tempvar].VarMaxSync;
fprintf(lstfile,"  before - delta(%d) offset(%d) initial length(%d) maxsync(%d)\n",
                 delta,
                 offset,
                 fvar[tempvar].VarLen,
                 fvar[tempvar].VarMaxSync);
                        if (delta > 0) 
                        {
                           /* compute the number of slack bytes */
                           delta = fvar[tempvar].VarMaxSync - delta;

fprintf(lstfile,"    calc - delta(%d) offset(%d) initial length(%d) maxsync(%d)\n",
                 delta,
                 offset,
                 fvar[tempvar].VarLen,
                 fvar[tempvar].VarMaxSync);
                           /* add the slack bytes to the group length */
                           fvar[tempvar].VarLen += delta;

                           /* Remember the number of ending slack bytes */
                           fvar[tempvar].VarEndSlack = delta;

                           /* calculate the total number of slack bytes */
                           /*delta = delta * (fvar[tempvar].VarOccur - 1);*/

                           /* add the extra slack to the current offset */
                           offset += delta;
fprintf(lstfile,"   after - delta(%d) offset(%d) initial length(%d) maxsync(%d)\n",
                 delta,
                 offset,
                 fvar[tempvar].VarLen,
                 fvar[tempvar].VarMaxSync);
                        }
                     }

                     /* add the additional occurences to the */
                     /* current offset                       */
                     addoffset = fvar[tempvar].VarLen * (fvar[tempvar].VarOccur - 1);
                     offset += addoffset;

                     /* Next, add the occurences to any parents */
                     /* Get the first parent                    */
                     tempparent = fvar[tempvar].VarParent;

                     /* Process all parent variables            */
                     while (tempparent > 0) 
                     {
fprintf(lstfile,"parent variable before ");
dumpVar(tempparent,fvar,1,lstfile);
                        /* first add in any added slack bytes   */
                        fvar[tempparent].VarLen += delta;

fprintf(lstfile,"    after slack bytes  ");
dumpVar(tempparent,fvar,1,lstfile);
                        /* Next, add the additional occurences  */
                        fvar[tempparent].VarLen += addoffset;

fprintf(lstfile,"    after occurences   ");
dumpVar(tempparent,fvar,1,lstfile);
                        /* Get the next parent variable         */
                        tempparent = fvar[tempparent].VarParent;
                     }

                     /* clear the occursatlevel pointer      */
                     occuratlevel[i] = 0;
                  } /* endif */
               } /* endfor */
