#pragma pack(1)
typedef struct _commhead
   {
                char  VERSION[4];
                char  USRTRNID[4];
                char  USRTRMID[4];
                char  NXTRNID[4];
                char  MAPNAME[8];
                char  MAPSET[8];
                char  RETCODE[8];
                char  USRMAPLN[4];
                char  USRCPOS[4];
                char  USRCALEN[5];
                char  USRAID;
                char  ERASESW;
                char  FILLER[25];
                char  textarea[100];
   }    commhead;

#pragma pack()

typedef struct _usrcomm
   {
                char  STAT;
                char  NUMB[6];
                char  NAMEX[20];
                char  ADDRX[20];
                char  PHONE[8];
                char  DATEX[8];
                char  AMOUNT[8];
                char  COMMENT[9];
   }    usrcomm;

typedef struct _brwcomm
   {
      char   CURROP;
      char   LASTOP;
      char   RIDF[6];
      char   RIDB[6];
   }    brwcomm;


/*
 * cicsmap dfhdga.bms -- 10/11/97 08:39:01
 * DFHDGA  DFHMSD MODE=INOUT,STORAGE=AUTO
 */

#pragma pack(1)

typedef struct dfhdgais
{
    char      tioapfx[12];
    short     msgl;
    char      msgf;
    char      msgi[39];
    short     keyl;
    char      keyf;
    char      keyi[6];
} _dfhdgais;

typedef struct dfhdgaos
{
    char      tioapfx[12];
    short     dfhms01;
    char      msga;
    char      msgo[39];
    short     dfhms02;
    char      keya;
    char      keyo[6];
} _dfhdgaos;

typedef union dfhdgau
{
    struct dfhdgais dfhdgai;
    struct dfhdgaos dfhdgao;
} _dfhdgau;

typedef union dfhdgau dfhdga;

#pragma pack()

/*
 * cicsmap dfhdgb.bms -- 10/11/97 09:10:38
 * DFHDGB  DFHMSD MODE=INOUT,STORAGE=AUTO
 */

#pragma pack(1)

typedef struct dfhdgbis
{
    char      tioapfx[12];
    short     titlel;
    char      titlef;
    char      titlei[12];
    short     numbl;
    char      numbf;
    char      numbi[6];
    short     namel;
    char      namef;
    char      namei[20];
    short     addrl;
    char      addrf;
    char      addri[20];
    short     phonel;
    char      phonef;
    char      phonei[8];
    short     datel;
    char      datef;
    char      datei[8];
    short     amountl;
    char      amountf;
    char      amounti[8];
    short     commentl;
    char      commentf;
    char      commenti[9];
    short     msg1l;
    char      msg1f;
    char      msg1i[39];
    short     msg3l;
    char      msg3f;
    char      msg3i[39];
} _dfhdgbis;

typedef struct dfhdgbos
{
    char      tioapfx[12];
    short     dfhms01;
    char      titlea;
    char      titleo[12];
    short     dfhms02;
    char      numba;
    char      numbo[6];
    short     dfhms03;
    char      namea;
    char      nameo[20];
    short     dfhms04;
    char      addra;
    char      addro[20];
    short     dfhms05;
    char      phonea;
    char      phoneo[8];
    short     dfhms06;
    char      datea;
    char      dateo[8];
    short     dfhms07;
    char      amounta;
    char      amounto[8];
    short     dfhms08;
    char      commenta;
    char      commento[9];
    short     dfhms09;
    char      msg1a;
    char      msg1o[39];
    short     dfhms10;
    char      msg3a;
    char      msg3o[39];
} _dfhdgbos;

typedef union dfhdgbu
{
    struct dfhdgbis dfhdgbi;
    struct dfhdgbos dfhdgbo;
} _dfhdgbu;

typedef union dfhdgbu dfhdgb;

#pragma pack()

/*
 * cicsmap dfhdgc.bms -- 10/24/97 03:03:51
 * DFHDGC  DFHMSD MODE=INOUT,STORAGE=AUTO
 */

#pragma pack(1)

typedef struct dfhdgcis
{
    char      tioapfx[12];
    short     dirl;
    char      dirf;
    char      diri;
    short     number1l;
    char      number1f;
    char      number1i[6];
    short     name1l;
    char      name1f;
    char      name1i[20];
    short     amount1l;
    char      amount1f;
    char      amount1i[8];
    short     number2l;
    char      number2f;
    char      number2i[6];
    short     name2l;
    char      name2f;
    char      name2i[20];
    short     amount2l;
    char      amount2f;
    char      amount2i[8];
    short     number3l;
    char      number3f;
    char      number3i[6];
    short     name3l;
    char      name3f;
    char      name3i[20];
    short     amount3l;
    char      amount3f;
    char      amount3i[8];
    short     number4l;
    char      number4f;
    char      number4i[6];
    short     name4l;
    char      name4f;
    char      name4i[20];
    short     amount4l;
    char      amount4f;
    char      amount4i[8];
    short     msg0l;
    char      msg0f;
    char      msg0i[39];
    short     msg1l;
    char      msg1f;
    char      msg1i[39];
    short     msg2l;
    char      msg2f;
    char      msg2i[39];
} _dfhdgcis;

typedef struct dfhdgcos
{
    char      tioapfx[12];
    short     dfhms01;
    char      dira;
    char      diro;
    short     dfhms02;
    char      number1a;
    char      number1o[6];
    short     dfhms03;
    char      name1a;
    char      name1o[20];
    short     dfhms04;
    char      amount1a;
    char      amount1o[8];
    short     dfhms05;
    char      number2a;
    char      number2o[6];
    short     dfhms06;
    char      name2a;
    char      name2o[20];
    short     dfhms07;
    char      amount2a;
    char      amount2o[8];
    short     dfhms08;
    char      number3a;
    char      number3o[6];
    short     dfhms09;
    char      name3a;
    char      name3o[20];
    short     dfhms10;
    char      amount3a;
    char      amount3o[8];
    short     dfhms11;
    char      number4a;
    char      number4o[6];
    short     dfhms12;
    char      name4a;
    char      name4o[20];
    short     dfhms13;
    char      amount4a;
    char      amount4o[8];
    short     dfhms14;
    char      msg0a;
    char      msg0o[39];
    short     dfhms15;
    char      msg1a;
    char      msg1o[39];
    short     dfhms16;
    char      msg2a;
    char      msg2o[39];
} _dfhdgcos;

typedef union dfhdgcu
{
    struct dfhdgcis dfhdgci;
    struct dfhdgcos dfhdgco;
} _dfhdgcu;

typedef union dfhdgcu dfhdgc;

#pragma pack()

typedef struct _INQYCOMM
   {
                commhead  comm_head;
                usrcomm   user_comm;
                dfhdga    menu;
                dfhdgb    detail;
   }    INQYCOMM;

typedef struct _BRWSCOMM
   {
                commhead  comm_head;
                brwcomm   brws_comm;
                dfhdga    menu;
                dfhdgc    browse;
   }    BRWSCOMM;

typedef union _COMMAREA
   {
        INQYCOMM  inqy;
        BRWSCOMM  brws;
   }    COMMAREA;

typedef COMMAREA   *PCOMMAREA;
