#if !defined(AFX_INQYCOMM_H__CDF82D52_B808_11D1_BBB0_08005AA55FA5__INCLUDED_)
#define AFX_INQYCOMM_H__CDF82D52_B808_11D1_BBB0_08005AA55FA5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// inqycomm.h : header file
//

// Include file for CICS COMMAREA
// Inserted in this file to allow use of COMMAREA as parameter in methods
#include "CREDCOMM.H"

/////////////////////////////////////////////////////////////////////////////
// inqycomm command target

class inqycomm : public CCmdTarget
{
	DECLARE_DYNCREATE(inqycomm)

	inqycomm();           // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(inqycomm)
	public:
	virtual void OnFinalRelease();
	//}}AFX_VIRTUAL

// Implementation
// Definitions for Credit Account Inquire/Change/Add/Browse Commarea object
//

// Private variables
	private:
// Additional variables internal to the commarea
// pointer to the commarea
	PCOMMAREA pComm;
// variables to remember the user commarea
	char	old_stat;
	CString old_account;
	CString old_name;
	CString old_addr;
	CString old_phone;
	CString old_date;
	CString old_amount;
	CString old_comments;

// Private methods for use within inqycomm.cpp
	private:
	void setMenuMapData(PCOMMAREA pComm);
	void setDetailMapData(PCOMMAREA pComm);
	void loadUserComm(PCOMMAREA pComm);
	int  executeCICSTran(char* tran);
	void setOldValues(PCOMMAREA pComm);
	void resetOldValues();
	void getDataFromComm(PCOMMAREA pComm);

void GetClientName(CString& clientName);


protected:
	virtual ~inqycomm();

	// Generated message map functions
	//{{AFX_MSG(inqycomm)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
	DECLARE_OLECREATE(inqycomm)

	// Generated OLE dispatch map functions
	//{{AFX_DISPATCH(inqycomm)
	CString m_acctno;
	CString m_name;
	CString m_address;
	CString m_date;
	CString m_phone;
	CString m_amount;
	CString m_comment;
	CString m_abcode;
	CString m_errmsg;
	CString m_ecierrmsg;
	CString m_cicsuser;
	CString m_cicspw;
	CString m_cicssys;
	CString m_cicsclient;
	afx_msg void setCICSparms(LPCTSTR userid, LPCTSTR password, LPCTSTR system, LPCTSTR client);
	afx_msg short executeInquire(LPCTSTR acctno);
	afx_msg short executeUpdate(LPCTSTR acctno, LPCTSTR name, LPCTSTR address, LPCTSTR idate, LPCTSTR phone, LPCTSTR amount, LPCTSTR comment);
	afx_msg short executeAdd(LPCTSTR acctno, LPCTSTR name, LPCTSTR address, LPCTSTR idate, LPCTSTR phone, LPCTSTR amount, LPCTSTR comment);
	afx_msg BSTR getErrmsg();
	afx_msg BSTR getECIerr();
	afx_msg BSTR getAbcode();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INQYCOMM_H__CDF82D52_B808_11D1_BBB0_08005AA55FA5__INCLUDED_)
