VERSION 5.00
Begin VB.Form Login 
   Caption         =   "CICS Logon"
   ClientHeight    =   4305
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5295
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   4305
   ScaleWidth      =   5295
   StartUpPosition =   3  'Windows Default
   Begin VB.ComboBox cics_system 
      Height          =   315
      Left            =   1560
      TabIndex        =   3
      ToolTipText     =   "Select the CICS system to connect to"
      Top             =   1080
      Width           =   1335
   End
   Begin VB.CommandButton Cancel 
      Caption         =   "Cancel"
      Height          =   495
      Left            =   2040
      TabIndex        =   6
      ToolTipText     =   "Exit from the applicaition"
      Top             =   3000
      Width           =   1215
   End
   Begin VB.CommandButton Logon 
      Caption         =   "Logon to CICS"
      Default         =   -1  'True
      Height          =   495
      Left            =   360
      TabIndex        =   5
      ToolTipText     =   "Validate the user id and password"
      Top             =   3000
      Width           =   1215
   End
   Begin VB.TextBox cics_error_msg 
      Height          =   285
      Left            =   840
      TabIndex        =   10
      TabStop         =   0   'False
      ToolTipText     =   "Error messages"
      Top             =   2160
      Width           =   4215
   End
   Begin VB.TextBox cics_client 
      Height          =   285
      Left            =   1560
      MaxLength       =   4
      TabIndex        =   4
      ToolTipText     =   "CICS client name (max 4 chars)"
      Top             =   1440
      Width           =   735
   End
   Begin VB.TextBox cics_pw 
      Height          =   285
      IMEMode         =   3  'DISABLE
      Left            =   1560
      MaxLength       =   8
      PasswordChar    =   "*"
      TabIndex        =   2
      ToolTipText     =   "Enter CICS password (max 8 chars)"
      Top             =   720
      Width           =   855
   End
   Begin VB.TextBox cics_user 
      Height          =   285
      Left            =   1560
      MaxLength       =   8
      TabIndex        =   1
      ToolTipText     =   "Enter CICS user id (max 8 chars)"
      Top             =   360
      Width           =   855
   End
   Begin VB.Label Label4 
      Caption         =   "Client Name"
      Height          =   255
      Left            =   360
      TabIndex        =   9
      Top             =   1455
      Width           =   855
   End
   Begin VB.Label Label3 
      Caption         =   "CICS System"
      Height          =   255
      Left            =   360
      TabIndex        =   8
      Top             =   1095
      Width           =   975
   End
   Begin VB.Label Label2 
      Caption         =   "Password"
      Height          =   255
      Left            =   360
      TabIndex        =   7
      Top             =   735
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "User ID"
      Height          =   255
      Left            =   360
      TabIndex        =   0
      Top             =   375
      Width           =   615
   End
End
Attribute VB_Name = "Login"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Cancel_Click()
 Unload Me
End Sub

Private Sub Form_Load()
    ' Working variables
    Dim i As Integer
    Dim ServName As String
 
Dim ca(5) As Byte
Dim l As Long
l = -1
l = l Mod 256
to_long ca, l, 0
l = -1
l = l Mod 65536
l = -32768
to_long ca, l, 0
l = l Mod 65536
l = -32768
l = l Mod 256
to_long ca, l, 0
l = -2147483648#
to_long ca, l, 0
l = 2147483647
to_long ca, l, 0
l = 65536
to_long ca, l, 0

l = 65535
to_long ca, l, 0

    getcontrols Login
 
    ' Create the ECI objects
    createECIobjects
 
    ' Get the list of CICS servers from the client and add them to the listbox
    i = 1
    While i < ECI.ServerCount
        ' Get the server name
        ServName = ECI.ServerName(i)

        ' Add it to the combo box
        cics_system.AddItem ServName, i - 1
   
        ' Set the default server name
        If i = 1 Then
            cics_system.Text = ServName
        End If
   
        ' move on to the next defined server
        i = i + 1
    Wend
  
    cics_client.Text = getclientname
End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    ' delete the ECI objects we created
    deleteECIobjects
    
    ' end the program
    End
End Sub

Private Sub Logon_Click()
    Dim rc As Integer
 
    ' Execute the verify password routine in the comsubs module
    rc = verify_password(cics_user.Text, cics_pw.Text, cics_system.Text, cics_client.Text)
 
    If rc = 0 Then
        ' Set the variables in the detail form
        detail.detclient.Text = client_name
        detail.detuserid.Text = ca_user
        detail.detregion.Text = cics_system
        
        ' load the detail form and display it
        Load detail
        detail.Show
    Else
        cics_error_msg = cics_errmsg + " " + cics_abcode
    End If
End Sub
