// comsub.h : header file for the COMMAREA subroutines
//

#ifndef __AFX_H__
  #include <afx.h>
#endif

/* 3270 field types */
#define ALPHA_FIELD   0
#define NUMERIC_FIELD 1
#define CICS_FIELD    2

/********************************************************/
/* Common subroutines to help move data into and out of */
/*  a CICS COMMAREA                                     */
/********************************************************/

void comm_move(LPCSTR VarData, char *commarea, long Varlen);

void move_comm(LPCSTR VarData,
               char     *CommField,
               int      maxLen,
               int      isNumber);

void moveBMSfield(LPCSTR  Vardata,    // Variable data from GUI
                  char      *BMSfield,  // BMS Map Data Area
                  short     *BMSlen,    // BMS Map Length field
                  short     *MAPlen,    // Total Map Data length
                  int       maxLen,     // Length of Data Area
                  int       isNumber);  // Data Type

void int2char(const int i, char *result, const int len);

void GetClientName(LPCSTR clientName);


/////////////////////////////////////////////////////////////////////////////
